Package uk.ac.starlink.votable

## Class LinkElement

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingElement
    - - uk.ac.starlink.votable.VOElement
      - - uk.ac.starlink.votable.LinkElement

All Implemented Interfaces:
  `org.w3c.dom.Element`, `org.w3c.dom.Node`

    public class LinkElement
    extends VOElement

Object representing a LINK element in a VOTable.

Author:
  Mark Taylor (Starlink)

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHandle()` Returns the title attribute if there is one, otherwise defers to superclass implementation.
`java.net.URL` `getHref()` Returns the value of this LinkElement's 'href' attribute as a URL.

### Methods inherited from class uk.ac.starlink.votable.VOElement

`getChildByName, getChildren, getChildrenByName, getDescription, getElementsByVOTagName, getElementSequence, getID, getName, getParent, getReferencedElement, getSystemId, getVOTagName, toString`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingElement

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getHref

    public java.net.URL getHref()
                         throws java.net.MalformedURLException

Returns the value of this LinkElement's 'href' attribute as a URL. It is resolved against the base URL of this VOTable if it represents a relative URL.

Returns:
  the URL represented by this LinkElement's 'href' attribute, or `null` if it has none
Throws:
  `java.net.MalformedURLException` - in the case of a badly-formed URL

#### getHandle

    public java.lang.String getHandle()

Returns the title attribute if there is one, otherwise defers to superclass implementation.

Overrides:
  `getHandle` in class `VOElement`
Returns:
  a label for this element